%global fontname drehatlas-xaporho
%global fontconf 61-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	1.0.3.3
Release:	2%{?dist}
Summary:	A Latin typeface that is sharp and angular
Group:		User Interface/X
License:	OFL
URL:		http://sourceforge.net/projects/drehatlas-fonts/
Source0:	Xaporho-%{version}-src.zip
Source1:	%{fontconf}
Source2:	Makefile.xaporho
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	fontpackages-devel fontforge
Requires:	fontpackages-filesystem

%description
The Xaporho font was originally inspired by the logo of a hobby rock band named
Xaporho.

%prep
%setup -q -c %{name}-%{version}
# Wrap the license file at 80 chars
fold -s LICENSE > LICENSE.new
touch -r LICENSE LICENSE.new
mv LICENSE.new LICENSE

%build
# A .ttf file is included, but .otf is preferred.
make -f %{SOURCE2} Xaporho.otf

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -fr %{buildroot}

%_font_pkg -f %{fontconf} *.otf
%doc LICENSE FONTLOG

%changelog
* Fri Oct 30 2009 Dave Ludlow <dave@adsllc.com> 1.0.3.2-2
- Fixed typo in summary

* Sun Oct 25 2009 Dave Ludlow <dave@adsllc.com> 1.0.3.2-1
- Initial packaging
